POST /api/v3/accounts¶
Summary¶
POST accounts
Description¶
Create a new account
See Account Response Fields for more information on the account object response
🔒 Required Permissions¶
At least one of the following permissions is required to access this endpoint:
agency.createAccounts
Tags: accounts
Parameters¶
Header Parameters¶
| Name | Type | Required | Description | Example |
|---|---|---|---|---|
Authorization |
string |
✓ Yes | Bearer {AuthToken} |
|
Content-Type |
string |
✓ Yes | application/json |
|
Accept |
string |
✓ Yes | application/json |
|
AppIdV3 |
string |
✓ Yes | LCUID-LAP-********-****-****-****-************ |
Request Body¶
Required: Yes
Content Type: application/json¶
Schema¶
Type: object
Required fields: name, agency_lcuid
Properties:
name(string) (required)description(string)agency_lcuid(string) (required): lcuid of the agency this account will belong to.website(string)parent_account_lcuid(string): If this is a sub-account, the lcuid of the parent account Parent account must be set as a parent account (is_parent_account=1) in order to be used here.
Responses¶
Response: 200¶
Description: Sample Response
Content Type: application/json¶
Schema¶
Type: object
Properties:
success(boolean)account(object) Type:object
Properties:
name(string)-
options(object) Type:objectProperties:
primary_image_public_url(string)primary_image_background_removed_public_url(string)
-
lcuid(string) slug(string)website(string)description(string)created_at(string)inventory_item_class(array)- Array items:
string
- Array items:
account_class(string)inventory_item_class_description(string)account_class_description(string)
Example Response¶
{
"success": true,
"account": {
"name": "Blue River Real Estate",
"options": {
"primary_image_public_url": null,
"primary_image_background_removed_public_url": null
},
"lcuid": "LCUID-LA-60f1bc3d-4172-45ad-be4d-1dcbfce926ef",
"slug": "BlueRiverRealEstate28",
"website": null,
"description": "A real estate agency in Blue River, Oregon",
"created_at": "2026-02-03T18:12:47.000000Z",
"inventory_item_class": [
"App\\LuCore\\InventoryItems\\GenericInventoryItemClass",
"App\\LuCore\\InventoryItems\\PhotoStreamInventoryItemClass",
"App\\LuCore\\InventoryItems\\CreativeInventoryItemClass"
],
"account_class": "App\\LuCore\\Accounts\\InventoryAccountClass",
"inventory_item_class_description": "Generic, Post, Creative",
"account_class_description": "Inventory"
}
}
Response: 403¶
Description: Auth Error
Content Type: application/json¶
Schema¶
Type: object
Properties:
message(string)
Example Response¶
{
"message": "Unauthorized. Requires agency.createAccounts permission to perform this action on object [[LCUID-LY-407a0e2f-511a-4925-afd4-491724e0d862]]"
}
Example Implementations¶
Bash (cURL)¶
curl --request POST \
"https://api.lucit.app/api/v3/accounts" \
--header "Authorization: Bearer {AuthToken}" \
--header "Content-Type: application/json" \
--header "Accept: application/json" \
--header "AppIdV3: LCUID-LAP-********-****-****-****-************" \
--data "{
\"name\": \"My New Account\",
\"description\": \"My New Account Description\",
\"agency_lcuid\": \"LCUID-LY-506fc585-77be-11ec-acb9-c2cdb617d190\",
\"website\": \"https:\\/\\/www.mynewaccount.com\",
\"parent_account_lcuid\": \"LCUID-LA-506fc585-77be-11ec-acb9-c2cdb617d190\"
}"
JavaScript (Fetch API)¶
const url = new URL(
"https://api.lucit.app/api/v3/accounts"
);
const headers = {
"Authorization": "Bearer {AuthToken}",
"Content-Type": "application/json",
"Accept": "application/json",
"AppIdV3": "LCUID-LAP-********-****-****-****-************",
};
let body = {
"name": "My New Account",
"description": "My New Account Description",
"agency_lcuid": "LCUID-LY-506fc585-77be-11ec-acb9-c2cdb617d190",
"website": "https:\/\/www.mynewaccount.com",
"parent_account_lcuid": "LCUID-LA-506fc585-77be-11ec-acb9-c2cdb617d190"
};
fetch(url, {
method: "POST",
headers,
body: JSON.stringify(body),
}).then(response => response.json());
PHP (Guzzle)¶
$client = new \GuzzleHttp\Client();
$response = $client->post(
'https://api.lucit.app/api/v3/accounts',
[
'headers' => [
'Authorization' => 'Bearer {AuthToken}',
'Content-Type' => 'application/json',
'Accept' => 'application/json',
'AppIdV3' => 'LCUID-LAP-********-****-****-****-************',
],
'json' => [
'name' => 'My New Account',
'description' => 'My New Account Description',
'agency_lcuid' => 'LCUID-LY-506fc585-77be-11ec-acb9-c2cdb617d190',
'website' => 'https://www.mynewaccount.com',
'parent_account_lcuid' => 'LCUID-LA-506fc585-77be-11ec-acb9-c2cdb617d190',
],
]
);
$body = $response->getBody();
print_r(json_decode((string) $body));
Python (Requests)¶
import requests
import json
url = 'https://api.lucit.app/api/v3/accounts'
payload = {
"name": "My New Account",
"description": "My New Account Description",
"agency_lcuid": "LCUID-LY-506fc585-77be-11ec-acb9-c2cdb617d190",
"website": "https:\/\/www.mynewaccount.com",
"parent_account_lcuid": "LCUID-LA-506fc585-77be-11ec-acb9-c2cdb617d190"
}
headers = {
'Authorization': 'Bearer {AuthToken}',
'Content-Type': 'application/json',
'Accept': 'application/json',
'AppIdV3': 'LCUID-LAP-********-****-****-****-************'
}
response = requests.request('POST', url, headers=headers, json=payload)
response.json()
Example Responses¶
200 Response¶
{
"success": true,
"account": {
"name": "Blue River Real Estate",
"options": {
"primary_image_public_url": null,
"primary_image_background_removed_public_url": null
},
"lcuid": "LCUID-LA-60f1bc3d-4172-45ad-be4d-1dcbfce926ef",
"slug": "BlueRiverRealEstate28",
"website": null,
"description": "A real estate agency in Blue River, Oregon",
"created_at": "2026-02-03T18:12:47.000000Z",
"inventory_item_class": [
"App\\LuCore\\InventoryItems\\GenericInventoryItemClass",
"App\\LuCore\\InventoryItems\\PhotoStreamInventoryItemClass",
"App\\LuCore\\InventoryItems\\CreativeInventoryItemClass"
],
"account_class": "App\\LuCore\\Accounts\\InventoryAccountClass",
"inventory_item_class_description": "Generic, Post, Creative",
"account_class_description": "Inventory"
}
}
403 Response¶
{
"message": "Unauthorized. Requires agency.createAccounts permission to perform this action on object [[LCUID-LY-407a0e2f-511a-4925-afd4-491724e0d862]]"
}